/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, ElementRef, OnInit, NgZone, OnDestroy } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import "brace";
import "brace/theme/eclipse";
import "brace/theme/monokai";
import "brace/theme/twilight";
import "brace/mode/json";
import "brace/mode/html";
import "brace/mode/markdown";
import "brace/mode/xml";
import "brace/mode/yaml";
import "brace/mode/graphqlschema";
export declare class AceEditorComponent implements ControlValueAccessor, OnInit, OnDestroy {
    private zone;
    textChanged: EventEmitter<{}>;
    textChange: EventEmitter<{}>;
    style: any;
    _options: any;
    _readOnly: boolean;
    _theme: string;
    _mode: any;
    _autoUpdateContent: boolean;
    _editor: any;
    _durationBeforeCallback: number;
    _wordWrap: boolean;
    _text: string;
    oldText: any;
    timeoutSaving: any;
    /**
     * C'tor.
     * @param elementRef
     * @param zone
     */
    constructor(elementRef: ElementRef, zone: NgZone);
    ngOnInit(): void;
    ngOnDestroy(): void;
    init(): void;
    initEvents(): void;
    destroy(): void;
    focus(): void;
    updateText(): void;
    options: any;
    setOptions(options: any): void;
    readOnly: any;
    setReadOnly(readOnly: any): void;
    theme: any;
    setTheme(theme: any): void;
    mode: any;
    setMode(mode: any): void;
    value: string;
    writeValue(value: any): void;
    private _onChange;
    registerOnChange(fn: any): void;
    private _onTouched;
    registerOnTouched(fn: any): void;
    wordWrap: boolean;
    setWordWrap(wordWrap: boolean): void;
    text: string;
    setText(text: any): void;
    autoUpdateContent: any;
    setAutoUpdateContent(status: any): void;
    durationBeforeCallback: number;
    setDurationBeforeCallback(num: number): void;
    getEditor(): any;
}
