/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter } from "@angular/core";
import { AceEditorComponent } from "./ace-editor.component";
export declare enum CodeEditorTheme {
    Light = 0,
    Dark = 1
}
export declare enum CodeEditorMode {
    Text = 0,
    JSON = 1,
    YAML = 2,
    Markdown = 3,
    XML = 4,
    GRAPHQL = 5
}
export declare class CodeEditorComponent {
    private static DEFAULT_DEBOUNCE_TIME;
    editor: AceEditorComponent;
    private _textValueDebouncer;
    theme: CodeEditorTheme;
    mode: CodeEditorMode;
    editorStyle: any;
    wordWrap: boolean;
    text: string;
    textChange: EventEmitter<string>;
    debounceTime: number;
    aceMode(): string;
    aceTheme(): string;
    focus(): void;
    setText(text: string): void;
}
