/**
 * @license
 * Copyright 2018 Red Hat
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from "@angular/core";
import { DocumentService } from "../../_services/document.service";
import { SelectionService } from "../../_services/selection.service";
export declare abstract class AbstractBaseComponent implements OnInit, OnChanges, OnDestroy {
    protected __changeDetectorRef: ChangeDetectorRef;
    protected __documentService: DocumentService;
    protected __selectionService: SelectionService;
    protected __skipDocumentChanges: boolean;
    private _docSub;
    protected constructor(__changeDetectorRef: ChangeDetectorRef, __documentService: DocumentService, __selectionService: SelectionService, __skipDocumentChanges?: boolean);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected onDocumentChange(): void;
}
