/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { AfterViewInit, QueryList } from "@angular/core";
import { TextAreaEditorComponent } from "./inline-editor.base";
import { CodeEditorComponent, CodeEditorMode } from "../../../../../../components/common/code-editor.component";
import { OasSchema } from "apicurio-data-models";
import { SelectionService } from "../../_services/selection.service";
export declare class InlineExampleEditorComponent extends TextAreaEditorComponent implements AfterViewInit {
    schema: OasSchema;
    codeEditor: QueryList<CodeEditorComponent>;
    _mode: CodeEditorMode;
    constructor(selectionService: SelectionService);
    ngAfterViewInit(): void;
    displayValue(): string;
    codeEditorMode(): CodeEditorMode;
    canGenerateExample(): boolean;
    generate(): void;
    updateModeFromContent(text: string): void;
}
