/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef, EventEmitter } from "@angular/core";
import { AbstractBaseComponent } from "./base-component";
import { DocumentService } from "../../_services/document.service";
import { SelectionService } from "../../_services/selection.service";
import { Scope } from "../../_models/scope.model";
export declare class ScopesInputComponent extends AbstractBaseComponent {
    private changeDetectorRef;
    private documentService;
    private selectionService;
    scopes: Scope[];
    onChange: EventEmitter<Scope[]>;
    private scopeIncrement;
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, selectionService: SelectionService);
    /**
     * Called when the user clicks the "Add Scope" button.
     */
    addScope(): void;
    /**
     * Called to delete a scope.
     * @param scope
     */
    deleteScope(scope: Scope): void;
    /**
     * Returns true if the given scope name is present in the list of scopes.
     * @param scopeName
     */
    private hasScope;
}
