/**
 * @license
 * Copyright 2019 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, QueryList } from "@angular/core";
import { ModalDirective } from "ngx-bootstrap";
import { Document, OasDocument } from "apicurio-data-models";
import { DropDownOption } from "../../../../../../components/common/drop-down.component";
export declare class AddSchemaDialogData {
    ref: string;
}
export declare class AddSchemaDialogComponent {
    onAdd: EventEmitter<AddSchemaDialogData>;
    addSchemaModal: QueryList<ModalDirective>;
    private _isOpen;
    doc: OasDocument;
    refName: string;
    references: string[];
    /**
     * Called to open the dialog.
     * @param parent
     */
    open(doc: Document): void;
    /**
     * Gets a list of all the response definition names in the document.
     */
    private getSchemaDefinitionNames;
    hasReferences(): boolean;
    /**
     * Called to close the dialog.
     */
    close(): void;
    /**
     * Called when the user clicks "add".
     */
    add(): void;
    /**
     * Called when the user clicks "cancel".
     */
    cancel(): void;
    /**
     * Returns true if the dialog is open.
     */
    isOpen(): boolean;
    /**
     * Check to see if the form is valid.
     */
    isValid(): boolean;
    getReferenceDropDownOptions(): DropDownOption[];
    getReference(): string;
    setReference(newRefName: string): void;
}
