/**
 * @license
 * Copyright 2019 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, QueryList } from "@angular/core";
import { ModalDirective } from "ngx-bootstrap";
import { Oas20Operation, Oas30Operation } from "apicurio-data-models";
import { DropDownOption } from "../../../../../../components/common/drop-down.component";
export declare class CloneResponseDialogComponent {
    onClone: EventEmitter<string>;
    addResponseModal: QueryList<ModalDirective>;
    private _isOpen;
    private _statusCode;
    statusCode: string;
    codes: string[];
    codeExists: boolean;
    /**
     * Called to open the dialog.
     * @param parent
     * @param statusCode
     */
    open(parent: Oas20Operation | Oas30Operation, statusCode?: string): void;
    /**
     * Called to close the dialog.
     */
    close(): void;
    /**
     * Called when the user clicks "add".
     */
    clone(): void;
    /**
     * Called when the user clicks "cancel".
     */
    cancel(): void;
    /**
     * Returns true if the dialog is open.
     */
    isOpen(): boolean;
    /**
     * Check to see if the form is valid.
     */
    isValid(): boolean;
    getStatusCodeDropDownOptions(): DropDownOption[];
    getStatusCode(): string;
    setStatusCode(statusCode: string): void;
}
