/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, QueryList } from "@angular/core";
import { ModalDirective } from "ngx-bootstrap";
import { CodeEditorComponent, CodeEditorMode, CodeEditorTheme } from "../../../../../../components/common/code-editor.component";
import { Oas20Schema } from "apicurio-data-models";
export interface EditExample20Event {
    contentType: string;
    value: any;
}
export declare class EditExample20DialogComponent {
    schema: Oas20Schema;
    onEdit: EventEmitter<EditExample20Event>;
    editExampleModal: QueryList<ModalDirective>;
    codeEditor: QueryList<CodeEditorComponent>;
    private example;
    private _isOpen;
    model: any;
    value: string;
    /**
     * Called to open the dialog.
     * @param contentType
     * @param value
     */
    open(contentType: string, value: any): void;
    /**
     * Called to close the dialog.
     */
    close(): void;
    /**
     * Called when the user clicks "edit".
     */
    edit(): void;
    /**
     * Called when the user clicks "cancel".
     */
    cancel(): void;
    /**
     * Returns true if the dialog is open.
     *
     */
    isOpen(): boolean;
    valueEditorTheme(): CodeEditorTheme;
    valueEditorMode(): CodeEditorMode;
    hasValue(): boolean;
    /**
     * @param value
     */
    private setValueFormatFromValue;
    canGenerateExample(): boolean;
    generate(): void;
}
