/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, QueryList } from "@angular/core";
import { ModalDirective } from "ngx-bootstrap";
import { CodeEditorComponent, CodeEditorMode, CodeEditorTheme } from "../../../../../../components/common/code-editor.component";
import { Oas30Example, Oas30Schema } from "apicurio-data-models";
export interface EditExampleEvent {
    example: Oas30Example;
    value: any;
}
export declare class EditExampleDialogComponent {
    schema: Oas30Schema;
    onEdit: EventEmitter<EditExampleEvent>;
    editExampleModal: QueryList<ModalDirective>;
    codeEditor: QueryList<CodeEditorComponent>;
    private example;
    private _isOpen;
    model: any;
    value: string;
    /**
     * Called to open the dialog.
     * @param example
     */
    open(example: Oas30Example): void;
    /**
     * Called to close the dialog.
     */
    close(): void;
    /**
     * Called when the user clicks "edit".
     */
    edit(): void;
    /**
     * Called when the user clicks "cancel".
     */
    cancel(): void;
    /**
     * Returns true if the dialog is open.
     * @return
     */
    isOpen(): boolean;
    valueEditorTheme(): CodeEditorTheme;
    valueEditorMode(): CodeEditorMode;
    hasValue(): boolean;
    /**
     * @param value
     */
    private setValueFormatFromValue;
    canGenerateExample(): boolean;
    generate(): void;
}
