/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, QueryList } from "@angular/core";
import { ModalDirective } from "ngx-bootstrap";
import { Oas20PathItem, Oas30PathItem, OasDocument } from "apicurio-data-models";
export declare class RenamePathDialogComponent {
    onRename: EventEmitter<any>;
    renamePathModal: QueryList<ModalDirective>;
    private _isOpen;
    name: string;
    path: Oas20PathItem | Oas30PathItem;
    alsoSubpaths: boolean;
    paths: string[];
    pathExists: boolean;
    numSubpaths: number;
    /**
     * Called to open the dialog.
     * @param path
     */
    open(document: OasDocument, path: Oas20PathItem | Oas30PathItem): void;
    private getPaths;
    private calculateNumberOfSubpaths;
    /**
     * Called to close the dialog.
     */
    close(): void;
    /**
     * Called when the user clicks "rename".
     */
    rename(): void;
    /**
     * Called when the user clicks "cancel".
     */
    cancel(): void;
    /**
     * Returns true if the dialog is open.
     */
    isOpen(): boolean;
}
