/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, QueryList } from "@angular/core";
import { ModalDirective } from "ngx-bootstrap";
import { LicenseService, ILicense } from "../../_services/license.service";
import { SelectionService } from "../../_services/selection.service";
export declare class SetLicenseDialogComponent {
    licenseService: LicenseService;
    protected selectionService: SelectionService;
    onLicenseChosen: EventEmitter<any>;
    setLicenseModal: QueryList<ModalDirective>;
    private _isOpen;
    constructor(licenseService: LicenseService, selectionService: SelectionService);
    /**
     * Called to open the dialog.
     */
    open(): void;
    /**
     * Called to close the dialog.
     */
    close(): void;
    /**
     * Called when the user clicks "cancel".
     */
    cancel(): void;
    /**
     * Returns true if the dialog is open.
     * @return
     */
    isOpen(): boolean;
    /**
     * Returns a list of possible licenses.
     */
    licenses(): ILicense[];
    /**
     * Called when the user picks a license.
     * @param license
     */
    chooseLicense(license: ILicense): void;
}
