/**
 * @license
 * Copyright 2019 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef } from "@angular/core";
import { Oas20SchemaDefinition, Oas30SchemaDefinition, OasSchema } from "apicurio-data-models";
import { CommandService } from "../../../_services/command.service";
import { AbstractBaseComponent } from "../../common/base-component";
import { DocumentService } from "../../../_services/document.service";
import { SelectionService } from "../../../_services/selection.service";
import { PropertyData } from "../../editors/property-editor.component";
import { EditorsService } from "../../../_services/editors.service";
import { RenameEntityDialogComponent, RenameEntityEvent } from "../../dialogs/rename-entity.component";
export declare class PropertiesSectionComponent extends AbstractBaseComponent {
    private changeDetectorRef;
    private documentService;
    private commandService;
    private selectionService;
    private editors;
    definition: Oas20SchemaDefinition | Oas30SchemaDefinition;
    renamePropertyDialog: RenameEntityDialogComponent;
    /**
     * C'tor.
     * @param changeDetectorRef
     * @param documentService
     * @param commandService
     * @param selectionService
     * @param editors
     */
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, commandService: CommandService, selectionService: SelectionService, editors: EditorsService);
    openAddSchemaPropertyEditor(): void;
    hasProperties(): boolean;
    properties(): OasSchema[];
    getPropertySourceSchema(): OasSchema;
    propertiesNodePath(): string;
    deleteProperty(property: OasSchema): void;
    addSchemaProperty(data: PropertyData): void;
    deleteAllSchemaProperties(): void;
    inheritanceType(): string;
    /**
     * Opens the rename property dialog.
     * @param property
     */
    openRenamePropertyDialog(property: OasSchema): void;
    /**
     * Renames the property.
     * @param event
     */
    renameProperty(event: RenameEntityEvent): void;
}
