/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef } from "@angular/core";
import { OasDocument, OasInfo } from "apicurio-data-models";
import { CommandService } from "../../../_services/command.service";
import { AbstractBaseComponent } from "../../common/base-component";
import { DocumentService } from "../../../_services/document.service";
import { SelectionService } from "../../../_services/selection.service";
export declare class InfoSectionComponent extends AbstractBaseComponent {
    private changeDetectorRef;
    private documentService;
    private commandService;
    private selectionService;
    document: OasDocument;
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, commandService: CommandService, selectionService: SelectionService);
    info(): OasInfo;
    /**
     * returns the version.
     */
    version(): string;
    /**
     * returns the description.
     */
    description(): string;
    /**
     * Called when the user changes the version.
     * @param newVersion
     */
    onVersionChange(newVersion: string): void;
    /**
     * Called when the user changes the description.
     * @param newDescription
     */
    onDescriptionChange(newDescription: string): void;
    /**
     * Called when the user changes the "consumes".
     * @param newValue
     */
    onConsumesChange(newValue: string[]): void;
    /**
     * Called when the user changes the "produces".
     * @param newValue
     */
    onProducesChange(newValue: string[]): void;
    consumes(): string[];
    produces(): string[];
}
