/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef } from "@angular/core";
import { OasDocument, OasLicense } from "apicurio-data-models";
import { CommandService } from "../../../_services/command.service";
import { ILicense, LicenseService } from "../../../_services/license.service";
import { AbstractBaseComponent } from "../../common/base-component";
import { DocumentService } from "../../../_services/document.service";
import { SelectionService } from "../../../_services/selection.service";
export declare class LicenseSectionComponent extends AbstractBaseComponent {
    private changeDetectorRef;
    private documentService;
    private commandService;
    licenseService: LicenseService;
    private selectionService;
    document: OasDocument;
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, commandService: CommandService, licenseService: LicenseService, selectionService: SelectionService);
    /**
     * Returns true if a license has been configured for this API.
     */
    hasLicense(): boolean;
    /**
     * Returns the resolved license or null if not found.
     */
    license(): ILicense;
    /**
     * Returns the license model.
     */
    licenseModel(): OasLicense;
    /**
     * returns the license name.
     */
    licenseName(): string;
    /**
     * returns the license url.
     */
    licenseUrl(): string;
    /**
     * Called when the user chooses a new license in the Choose License dialog.
     * @param licenseInfo
     */
    setLicense(licenseInfo: any): void;
    /**
     * Called when the user chooses to remove the license.
     */
    deleteLicense(): void;
}
