/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef, SimpleChanges } from "@angular/core";
import { Oas20Response, OasDocument, SimplifiedType } from "apicurio-data-models";
import { CommandService } from "../../../../_services/command.service";
import { DocumentService } from "../../../../_services/document.service";
import { EditExample20Event } from "../../../dialogs/edit-example-20.component";
import { AbstractBaseComponent } from "../../../common/base-component";
import { SelectionService } from "../../../../_services/selection.service";
export declare class ResponseTabComponent extends AbstractBaseComponent {
    private changeDetectorRef;
    private documentService;
    private commandService;
    private selectionService;
    response: Oas20Response;
    protected _model: SimplifiedType;
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, commandService: CommandService, selectionService: SelectionService);
    protected onDocumentChange(): void;
    ngOnChanges(changes: SimpleChanges): void;
    model(): SimplifiedType;
    document(): OasDocument;
    hasExamples(): boolean;
    exampleContentTypes(): string[];
    exampleDisplayValue(contentType: string): string;
    exampleValue(contentType: string): string;
    displayType(): SimplifiedType;
    changeType(newType: SimplifiedType): void;
    setDescription(description: string): void;
    deleteExample(contentType: string): void;
    addExample(exampleData: any): void;
    editExample(event: EditExample20Event): void;
}
