/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef } from "@angular/core";
import { Oas30Example, Oas30MediaType, Oas30Schema, SimplifiedType } from "apicurio-data-models";
import { CommandService } from "../../../_services/command.service";
import { DocumentService } from "../../../_services/document.service";
import { SelectionService } from "../../../_services/selection.service";
import { EditExampleEvent } from "../../dialogs/edit-example.component";
import { AbstractRowComponent } from "../../common/item-row.abstract";
export declare class MediaTypeRowComponent extends AbstractRowComponent<Oas30MediaType, SimplifiedType> {
    private commandService;
    /**
     * C'tor.
     * @param changeDetectorRef
     * @param documentService
     * @param commandService
     * @param selectionService
     */
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, commandService: CommandService, selectionService: SelectionService);
    protected updateModel(): void;
    isEditingExamples(): boolean;
    isEditingType(): boolean;
    toggleExamples(): void;
    toggleType(): void;
    delete(): void;
    displayExamples(): string;
    displayType(): SimplifiedType;
    exampleValue(example: Oas30Example): string;
    changeType(newType: SimplifiedType): void;
    mediaTypeExamples(): Oas30Example[];
    mediaTypeHasExamples(): boolean;
    addExample(exampleData: any): void;
    changeExampleSummary(example: Oas30Example, summary: string): void;
    changeExampleDescription(example: Oas30Example, description: string): void;
    deleteExample(example: Oas30Example): void;
    deleteAllExamples(): void;
    editExample(event: EditExampleEvent): void;
    schemaForExample(): Oas30Schema;
}
