/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef, EventEmitter } from "@angular/core";
import { Oas30Server } from "apicurio-data-models";
import { CommandService } from "../../../_services/command.service";
import { EditorsService } from "../../../_services/editors.service";
import { ServerEditorEvent } from "../../editors/server-editor.component";
import { DocumentService } from "../../../_services/document.service";
import { SelectionService } from "../../../_services/selection.service";
import { AbstractRowComponent } from "../../common/item-row.abstract";
export declare class ServerRowComponent extends AbstractRowComponent<Oas30Server, string> {
    private commandService;
    private editorsService;
    onEdit: EventEmitter<ServerEditorEvent>;
    onDelete: EventEmitter<boolean>;
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, commandService: CommandService, editorsService: EditorsService, selectionService: SelectionService);
    protected updateModel(): void;
    hasUrl(): boolean;
    description(): string;
    hasDescription(): boolean;
    toggle(): void;
    edit(): void;
    delete(): void;
    setDescription(description: string): void;
}
