/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef, EventEmitter } from "@angular/core";
import { ValidationProblem } from "apicurio-data-models";
import { SelectionService } from "../_services/selection.service";
import { ProblemsService } from "../_services/problems.service";
import { AbstractBaseComponent } from "./common/base-component";
import { DocumentService } from "../_services/document.service";
import { FeaturesService } from "../_services/features.service";
/**
 * The component that models the list of problems found in the document.  This is only shown
 * when the user clicks the bell icon to drop down the list of problems.
 */
export declare class EditorProblemDrawerComponent extends AbstractBaseComponent {
    private problemsService;
    private features;
    validationErrors: ValidationProblem[];
    close: EventEmitter<boolean>;
    onConfigureValidation: EventEmitter<void>;
    /**
     * C'tor.
     * @param changeDetectorRef
     * @param documentService
     * @param selectionService
     * @param problemsService
     * @param features
     */
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, selectionService: SelectionService, problemsService: ProblemsService, features: FeaturesService);
    hasProblems(): boolean;
    goTo(problem: ValidationProblem): void;
    iconFor(problem: ValidationProblem): string;
    summaryFor(problem: ValidationProblem): string;
    explanationFor(problem: ValidationProblem): string;
    showValidationSettings(): boolean;
}
