/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ApiEditorUser } from "../../../../../models/editor-user.model";
import { Topic } from "apicurio-ts-core";
/**
 * A service that tracks (active) collaborators and collaborator selections.
 */
export declare class CollaboratorService {
    private _collaboratorSelections;
    private _collaboratorSelectionTopic;
    constructor();
    collaboratorSelection(): Topic<ApiEditorUser>;
    currentCollaboratorSelection(user: ApiEditorUser): string;
    setCollaboratorSelection(user: ApiEditorUser, selection: string): void;
    reset(): void;
    getCollaboratorsForPath(nodePath: string): ApiEditorUser[];
}
