/**
 * @license
 * Copyright 2019 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { DropDownOption } from "../../../../../components/common/drop-down.component";
export declare class HttpCode {
    private code;
    private name;
    constructor(code: number, name: string);
    getCode(): number;
    getName(): string;
}
export declare class HttpCodeService {
    private static HTTP_CODE_LIST_COMMON;
    private static HTTP_CODE_LIST;
    /**
     * Returns the list of commonly used HTTP codes.
     */
    static getCommonlyUsedHttpCodeList(): HttpCode[];
    /**
     * Returns the full list of HTTP codes.
     */
    static getHttpCodeList(): HttpCode[];
    /**
     * Resolves a single code (returns the HttpCode object for a given response code).
     * @param code
     */
    static getCode(code: string): HttpCode;
    /**
     * Returns true if the current date is April 1.
     */
    private static isAprilFirst;
    /**
     * Called to generate an array of dropdown options for all of the HTTP codes.
     */
    static generateDropDownOptions(): DropDownOption[];
}
