/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ValidationProblem } from "apicurio-data-models";
/**
 * A simple service providing information and functionality about validation problems.
 * This includes providing more information (explanation) about any given problem type
 * as well as "quick fix" functionality.
 */
export declare class ProblemsService {
    /**
     * Returns a human-readable summary for the given validation problem.
     * @param problem
     */
    summary(problem: ValidationProblem): string;
    /**
     * Returns a full human-readable explanation for the given validation problem.
     * @param problem
     */
    explanation(problem: ValidationProblem): string;
}
