/**
 * @license
 * Copyright 2019 Red Hat
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare class KeypressUtils {
    /**
     * Returns true if the given keyboard event is for pressing the Escape key on the keyboard.
     * @param event
     * @param allowModifiers
     */
    static isEscapeKey(event: KeyboardEvent, allowModifiers?: boolean): boolean;
    /**
     * Returns true if the given keyboard event is from pressing the Enter key.
     * @param event
     */
    static isEnterKey(event: KeyboardEvent): boolean;
    /**
     * Returns true if the given keyboard event is from pressing the Enter key.
     * @param event
     */
    static isCtrlEnterKey(event: KeyboardEvent): boolean;
    /**
     * Returns true if the given keyboard event is an UpArrow keypress.
     * @param event
     */
    static isUpArrow(event: KeyboardEvent): boolean;
    /**
     * Returns true if the given keyboard event is a DownArrow keypress.
     * @param event
     */
    static isDownArrow(event: KeyboardEvent): boolean;
}
