/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { HttpEvent, HttpResponse } from "@angular/common/http";
export declare class ArrayUtils {
    /**
     * Returns the intersection of two arrays.
     * @param a1
     * @param a2
     */
    static intersect(a1: any[], a2: any[]): any[];
    /**
     * Returns true if the given item is contained in the given array.
     * @param a
     * @param item
     * @return
     */
    static contains(a: any[], item: any): boolean;
}
export declare class ObjectUtils {
    static isNullOrUndefined(object: any): boolean;
    static objectEquals(x: any, y: any): any;
}
export declare class HttpUtils {
    static parseLinkHeader(header: string): any;
    /**
     * Converts a standard HTTP request promise into a promise mapped to a specific type.
     * @param requestPromise
     * @param mapper
     */
    static mappedPromise<T>(requestPromise: Promise<HttpEvent<any>>, mapper: (response: HttpResponse<any>) => T): Promise<T>;
}
